namespace Bücherwurm
{
    public class EBook : Book, IProduct
    {
        public EBook() {
            Category = CategoryEnum.EBook;
            LendTime = 30;   
            LendType = LendTypeEnum.Virtual;
        }

        public EBook(Book Parent)
        {
            Category = CategoryEnum.EBook;
            LendTime = 30;   
            LendType = LendTypeEnum.Virtual;
            Name = Parent.Name;
            Author = Parent.Author;
            Country = Parent.Country;
            Link = Parent.Link;
            Language = Parent.Language;
            Pages = Parent.Pages;
            Year = Parent.Pages;
            ImageLink = Parent.ImageLink;
        }
    }
}